AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get bill payments history

This document shows you how to retrieve a history of all purchased bill services including commission earned

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/bills/history

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

status string
The transaction status Allowed values: Successful, Failed, Reversed.

from string
This is the start date it can be in any of this formats: YYYY-MM-DDTHH:MM:SSZ or YYYY-MM-DD

to string
This is the end date, it can be in any of this formats: YYYY-MM-DDTHH:MM:SSZ or YYYY-MM-DD

page string
The page index to start the search from.

limit string
The number of entries returned per page.

reference string
This unique identifier for a single payment.

batch_reference string
This unique identifier for a bulk payment.

category string
The bill category code.

country string
This is the country of the Biller. Allowed values: NG, GH, KE, ZM.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

total_pages integer

current_page integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

currency string

customer_id string

frequency string

amount string

category string

recurring_payment_id string

product string

product_name string

commission string

transaction_date string

tx_id integer

customer_reference string

country string

flw_ref string

tx_ref string

batch_id integer

extra string

product_details string

status string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys